<!-- Header -->
<h2> The reports </h2>

<p style="text-align: center;">
  You can click onto a report header
  <br> to open the report's details <br><br>
</p>

<!-- Add new report button -->
<button routerLink="/house/{{house.id}}/new-report" *ngIf="house">
  Add a new report
</button>

<!-- Display house's reports -->
<div *ngIf="house">
  <ul class="report">
    <li *ngFor="let report of house.reports.reverse()">
      <div routerLink="/report/{{report.id}}">
        &ensp;{{report.date.seconds*1000 | date: 'dd/MM/yyyy hh:mm a' }}
        <br><br> Author: {{report.username}}
        <br> Header: {{report.header}}
      </div>
      <div *ngIf='getCurrentUsername() === report.username'>
        <button routerLink='/house/{{house.id}}/edit-report/{{report.id}}'>Edit</button>
        <button (click) = 'delete(report.id)'>Delete</button>
      </div>
    </li>
  </ul>
</div>
